Subject: Re: Beaconpoint Labs Follow Up: TJ Bourdeau
From: [email-masked]
To: Sophia Bilovol <[email-masked]>
Date: Tue, 7 Apr 2026 10:35:44 -0400

What all are you able to test. I also have methylene blue that I would like to get tested.

With the B12, so you guys report it out as cyano either way or does your results just say B12?

And it’s a 10 mL, I was told 1mg/mL b12. So I mainly looking to verify that 1 the concentration is correct and 2 that it is B12 in it.
On Apr 7, 2026 at 9:55 AM -0400, Sophia Bilovol <[email-masked]>, wrote:
> Hello TJ,
>
> Thank you for reaching out to us at beaconpoint labs. Tell me more about your solution.
>
> We are able to test the concentration of B12, but we can only report the cyanocobalamin form, as all forms get converted to this form during analysis.
>
>
> If this works for you, please let me know.
>
> Best,
> Sophia
>
>
> Sophia Bilovol
> Technical Sales Representative
> Beaconpoint Labs
> Mobile: 704-343-5429
>
>
> From: HubSpot Forms <[email-masked]>
> Sent: Monday, April 6, 2026 8:35 AM
> To: Sophia Bilovol <[email-masked]>
> Subject: You've got a new submission on the HubSpot Form "Lead Contact Form"
>
>
>
>
> You've got a new submission on the HubSpot Form "Lead Contact Form"
>
>
> Page submitted on: Supplement/Nutraceutical Ingredient Identification Testing Services - Beaconpoint Labs
>
> First Name:
> TJ
>
> Last Name:
> Bourdeau
>
> Email:
> [email-masked]
>
> Phone number:
> 7277983394
>
> Company name:
> TJ
>
> State (USA):
> Florida
>
> Company Size:
> 1
>
> Product(s) for Testing:
> Supplement
>
> Need(s):
> Analytical/Chemistry Testing
>
> How Did You Find Us?:
> Google
>
> Tell us about your testing needs and we will get back to you shortly with additional information:
> I have a B12 solution and want to verify type of B12 and concentration
>
> utm_source:
> adwords
>
> utm_medium:
> ppc
>
> utm_campaign:
> Beaconpoint Campaign 1
>
> utm_term:
> supplement testing
>
> View in HubSpot
>
>
> • > CONTACT
> • TJ Bourdeau
>
>
> This email was sent to [email-masked] because the notification Form submission is turned on in the account beaconpointlabs.com (Hub ID: 45406128)
>
>
> Do you want to stop receiving these emails?
> Turn off Form submission email notifications.
>
> HubSpot, Inc.
> 2 Canal Park
> Cambridge, MA 02141
>
>